-module(utils).

-export([flatten/1]).

flatten(X) -> flatten(X,[]).

flatten([],Acc)  -> Acc;
flatten([[]|T],Acc)  -> flatten(T, Acc);
flatten([[_|_]=H|T],Acc) -> flatten(T, flatten(H,Acc));
flatten([H|T],Acc) -> flatten(T,Acc++[H]) .
